#include "Seznam.h"

#include <iostream>
using namespace std;

void vytvo_seznam(seznam* s)
{
	s->hlava = s->zarka = new prvek{NULA, nullptr};
	s->velikost = 0;
}

void vlo_na_zatek(seznam* s, T co)
{
	s->hlava = new prvek{ co, s->hlava };
	s->velikost++;
}

void vypi_seznam(seznam* s)
{
	for (auto aktuln = s->hlava; aktuln != s->zarka; aktuln = aktuln->dal)
	{
		cout << aktuln->data << ", ";
	}
	cout << endl;
}

void odstra_prvn(seznam* s)
{
	if (przdn(s)) return;
	auto pom = s->hlava;
	s->hlava = s->hlava->dal;
	delete pom;
	s->velikost--;
}

bool przdn(seznam* s)
{
	return s->hlava == s->zarka;
}

void vyprzdni(seznam* s)
{
	while (!przdn(s))
	{
		odstra_prvn(s);
	}
}

void zru_seznam(seznam* s)
{
	vyprzdni(s);
	delete s->zarka;
}
